Project/src/beans/BuyBeans.java
package beans;

import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 購入データ
 * @author k-monju
 *
 */

public class BuyBeans implements Serializable{
	private int id;
	private int userId;
	private int carId;
	private Date date;
	private int deliveryPrice;
	private int totalPrice;
	private String color;

	private String carName;
	private int price;
	private String fileName;
	private String detail;


	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getUserId() {
		return userId;
	}
	public void setUserId(int userId) {
		this.userId = userId;
	}
	public int getCarId() {
		return carId;
	}
	public void setCarId(int carId) {
		this.carId = carId;
	}
	public Date getDate() {
		return date;
	}
	public void setDate(Date date) {
		this.date = date;
	}
	public String getBuyDate() {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy年MM月dd日k時mm分ss秒");
        return sdf.format(date);
	}

	public int getDeliveryPrice() {
		return deliveryPrice;
	}
	public void setDeliveryPrice(int deliveryPrice) {
		this.deliveryPrice = deliveryPrice;
	}
	public String getFormatDeliveryPrice() {
		return String.format("%,d", this.deliveryPrice);
	}
	public int getTotalPrice() {
		return totalPrice;
	}
	public void setTotalPrice(int totalPrice) {
		this.totalPrice = totalPrice;
	}
	public String getFormatTotalPrice() {
		return String.format("%,d", this.totalPrice);
	}
	public String getColor() {
		return color;
	}
	public void setColor(String color) {
		this.color = color;
	}



	public String getCarName() {
		return carName;
	}
	public void setCarName(String carName) {
		this.carName = carName;
	}
	public int getPrice() {
		return price;
	}
	public void setPrice(int price) {
		this.price = price;
	}
	public String getFormatPrice() {
		return String.format("%,d", this.price);
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public String getDetail() {
		return detail;
	}
	public void setDetail(String detail) {
		this.detail = detail;
	}


}

Project/src/carec/BuyListServlet.java
package carec;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.BuyBeans;
import dao.BuyDao;
import dao.UserDao;

/**
 * Servlet implementation class BuyListServlet
 */
@WebServlet("/BuyListServlet")
public class BuyListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public BuyListServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		HttpSession session = request.getSession();
		String carName = (String)session.getAttribute("cn");
		request.setAttribute("cn",carName);

		//セッションスコープよりlogin_idを取得
		String loginId = (String)session.getAttribute("loginId");
		//login_idよりidを取得するメソッド
			try {
				int id = UserDao.getId(loginId);
		//取得したidより購入情報を取得
				ArrayList<BuyBeans> buyHistoryList = BuyDao.getBuyHistory(id);
				request.setAttribute("buyHistoryList", buyHistoryList);
			} catch (SQLException e) {
				e.printStackTrace();
			}

		//車種名が取得できた場合のみ購入完了メッセージを表示する
		if(carName !=null){
			request.setAttribute("buyMsg","の購入が完了しました" );
		}

		//セッションに詰めた車種名を削除
		session.removeAttribute("cn");

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/BuyList.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/carec/ItemBuyServlet.java
package carec;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.CarBeans;
import dao.BuyDao;
import dao.CarDao;
import dao.UserDao;
import util.MyUtil;

/**
 * Servlet implementation class ItemBuyServlet
 */
@WebServlet("/ItemBuyServlet")
public class ItemBuyServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ItemBuyServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		String id = request.getParameter("id");

		try {
			CarBeans cb = CarDao.getCarDetailInfo(id);
			request.setAttribute("cb", cb);
		} catch (SQLException e) {
			e.printStackTrace();
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/ItemBuy.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		request.setCharacterEncoding("UTF-8");
		HttpSession session = request.getSession();
		String carName = request.getParameter("carName");
		session.setAttribute("cn",carName);

		//セレクトボックスの選択内容を取得
		//取得した内容により配送料金を決めるメソッド
		int deliveryPrice = MyUtil.getDeliveryPrice(request.getParameter("delivery"));

		int totalPrice = Integer.parseInt(request.getParameter("price")) + deliveryPrice;

		String color = request.getParameter("color");
		//リクエストスコープよりcar_idを取得
		String carId = request.getParameter("id");

		//セッションスコープよりlogin_idを取得
		String loginId = (String)session.getAttribute("loginId");
		try {
			//login_idよりidを取得するメソッド
			int userId = UserDao.getId(loginId);
			BuyDao.newBuyDate(userId, carId, deliveryPrice, totalPrice, color);
		} catch (SQLException e) {
			e.printStackTrace();
		}
		response.sendRedirect("BuyListServlet");
	}

}

Project/src/carec/ItemCompareServlet.java
package carec;

import java.io.IOException;
import java.sql.SQLException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.CarBeans;
import beans.MakerBeans;
import dao.CarDao;
import dao.MakerDao;

/**
 * Servlet implementation class ItemCompareServlet
 */
@WebServlet("/ItemCompareServlet")
public class ItemCompareServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ItemCompareServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		String ID = request.getParameter("id");
		String capa = request.getParameter("capa");
		String price = request.getParameter("price");

		try {
			//idに紐づく車のすべての情報を取得するメソッド
			CarBeans cb = CarDao.getCarDetailInfo(ID);
			request.setAttribute("cb", cb);

			//mekar_idに紐づくメーカー名を取得するメソッド
			int id = cb.getMakerId();
			MakerBeans mb =MakerDao.getMakerName(id);
			request.setAttribute("mb", mb);

		} catch (SQLException e) {
			e.printStackTrace();
		}

		try {
			//idの車種に似た車のすべての情報を取得するメソッド
			CarBeans cc = CarDao.getCarCompareInfo(ID, price, capa);
			request.setAttribute("cc", cc);

			//mekar_idに紐づくメーカー名を取得するメソッド
			int id = cc.getMakerId();
			MakerBeans ccmb =MakerDao.getMakerName(id);
			request.setAttribute("ccmb", ccmb);
		} catch (SQLException e) {
			e.printStackTrace();
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/ItemCompare.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		doGet(request, response);
	}

}

Project/src/carec/ItemDetailServlet.java
package carec;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.CarBeans;
import beans.MakerBeans;
import dao.CarDao;
import dao.MakerDao;

/**
 * Servlet implementation class ItemDetailServlet
 */
@WebServlet("/ItemDetailServlet")
public class ItemDetailServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ItemDetailServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		//リクエストパラメーターのidを取得
		String ID = request.getParameter("id");
		try {
		//idに紐づく車のすべての情報を取得するメソッド
			CarBeans cb = CarDao.getCarDetailInfo(ID);
			request.setAttribute("cb", cb);

		//mekar_idに紐づくメーカー名を取得するメソッド
			int id = cb.getMakerId();
			MakerBeans mb =MakerDao.getMakerName(id);
			request.setAttribute("mb", mb);

		//国産メーカー一覧を表示するメソッド
		ArrayList<MakerBeans> jpnMakerList = MakerDao.findJpnMaker();
		request.setAttribute("jpnMakerList", jpnMakerList);

		//輸入メーカー一覧を表示するメソッド
		ArrayList<MakerBeans> outMakerList = MakerDao.findOutMaker();
		request.setAttribute("outMakerList", outMakerList);
		} catch (SQLException e) {
			e.printStackTrace();
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/ItemDetail.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

	}

}

Project/src/carec/ItemSortServlet.java
package carec;

import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import beans.CarBeans;
import beans.MakerBeans;
import dao.CarDao;
import dao.MakerDao;

/**
 * Servlet implementation class ItemSortServlet
 */
@WebServlet("/ItemSortServlet")
public class ItemSortServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public ItemSortServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub
		//				try {
		//					HttpSession session = request.getSession();
		//					//メーカーで絞り込んで表示するメソッド
		//					maker = session.getAttribute("maker_id");
		//					ArrayList<CarBeans>	makerList = CarDao.getMakerCar(maker);
		//					request.setAttribute("makerList", makerList);
		//
		//				} catch (SQLException e) {
		//					// TODO 自動生成された catch ブロック
		//					e.printStackTrace();
		//				}
		// リクエストパラメータよりidを取得
		String id = request.getParameter("id");
		//排気量別のリクエストパラメーターを取得
		String lower = request.getParameter("lower");
		String upper = request.getParameter("upper");

		try {
			//取得した排気量で排気量別の車一覧を取得するメソッド
			ArrayList<CarBeans> displacementList = CarDao.getDisplacement(lower, upper);
			request.setAttribute("displacementList", displacementList);

			// 取得したidで車一覧を取得するメソッド（パラメータで絞り込む）
			ArrayList<CarBeans> makerList = CarDao.getMakerCar(id);
			// 次画面に取得した一覧を送る
			request.setAttribute("makerList", makerList);
			//idがnullで無かった時、該当のメーカー名を取得するif文
			if(id != null) {
				MakerBeans mb = MakerDao.getMakerName(Integer.parseInt(id));
				request.setAttribute("mb", mb);
			}

			RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/ItemSort.jsp");
			dispatcher.forward(request, response);

		} catch (SQLException e) {
			e.printStackTrace();
		}
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub
		request.setCharacterEncoding("UTF-8");

		//検索ワードに該当する車種がない場合、ItemSort.jsp遷移してエラーメッセージを返す
		String searchWord = request.getParameter("search_word");
		try {
			ArrayList<CarBeans> serchCarList = CarDao.getSerchCarList(searchWord);
			request.setAttribute("serchCarList", serchCarList);

			if(serchCarList==null) {

				//エラーメッセージをセットして、直前のページにエラー文を表示する
				request.setAttribute("serchErrMsg","※検索ワードに該当する車種は存在しません※");

				RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/ItemSort.jsp");
				dispatcher.forward(request, response);
				return;
			}

		} catch (SQLException e) {

			e.printStackTrace();
		}

		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/ItemSort.jsp");
		dispatcher.forward(request, response);
	}

}

Project/src/carec/LoginServlet.java
package carec;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import beans.UserBeans;
import dao.UserDao;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public LoginServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		RequestDispatcher dispatcher = request.getRequestDispatcher("WEB-INF/jsp/Login.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		request.setCharacterEncoding("UTF-8");

		// ログイン時の入力内容を取得
		String loginId = request.getParameter("loginId");
		String password = request.getParameter("password");

		//入力内容を引数に渡して、findByLoginInfoメソッドを実行
		UserDao userDao = new UserDao();
		UserBeans userBeans = userDao.findByLoginInfo(loginId,password);

		/**テーブルに該当のデータがなかった場合*/
		if(userBeans==null) {
			//エラーメッセージをセットして、Login.jspにフォワード
			request.setAttribute("errMsg","ログインIDまたはパスワードが違います" );
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/Login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		/**テーブルに該当のデータが存在した場合*/
		//ユーザーidをセッションにセットし、トップページのサーブレットにリダイレクト
		HttpSession session = request.getSession();
		session.setAttribute("loginId", loginId);

		response.sendRedirect("TopServlet");
	}

}

Project/WebContent/WEB-INF/jsp/BuyList.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.2/css/all.css" integrity="sha384-/rXc/GQVaYpyDdyxK+ecHPVYJSN9bmVFBvjA/9eOB+pb3F2w2N6fc5qB9Ew5yIns" crossorigin="anonymous">

<title>購入履歴ページ</title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd;">
  <a class="navbar-brand" href="TopServlet">ショッピングサイト名</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="LoginServlet"><i class="fas fa-sign-in-alt"></i>ログイン <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="UserNewRegistServlet"><i class="fas fa-registered"></i>新規登録</a>
      </li>
       <li class="nav-item">
        <a class="nav-link" href="UserInfoServlet"><i class="fas fa-user"></i>Myページ</a>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-6" action="ItemSortServlet" method="post">
      <input type="text" name="search_word" class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
      <a><button class="btn btn-outline-success my-2 my-sm-0" type="submit" >Search</button></a>
    </form>
  </div>
</nav>

<div class="pricing-header px-3 py-3 pt-md-5 pb-md-4 mx-auto text-center">
  <h1 class="display-5">購入履歴</h1>
  	<c:if test="${buyMsg != null}">
	    <div class="alert alert-danger" role="alert">
		  ${cn}${buyMsg}
		</div>
	</c:if>
</div>

<div class="row">
	<div class="col-sm-2 border-right py-5">
	     <div><a href="UserUpdateServlet"><button type="button" class="btn btn-primary btn-block">登録内容の変更</button></a></div>
	     <div><a href="BuyListServlet"><button type="button" class="btn btn-primary btn-block">購入履歴</button></a></div>
	     <div><a href="MasterItemEditServlet"><button type="button" class="btn btn-primary btn-block">商品編集※管理者のみ</button></a></div>
    </div>

    <div class="col-sm-10">
			<c:forEach var="bl" items="${buyHistoryList}">
			<div class="row featurette border-bottom">
			      <div class="col-md-7 order-md-2">
			        <h2 class="featurette-heading">${bl.carName}</h2>
			        <p class="lead">${bl.detail}</p>
			        <table class="table table-striped">
						  <thead>
						    <tr>
						      <th scope="col">購入日時</th>
						      <th scope="col">車体価格</th>
						      <th scope="col">配送料金</th>
						      <th scope="col">合計金額</th>
						    </tr>
						  </thead>
						  <tbody>
						    <tr>
						      <th scope="row">${bl.buyDate}</th>
						      <td>${bl.price}円</td>
						      <td>${bl.deliveryPrice}円</td>
						      <td>${bl.totalPrice}円</td>
						    </tr>
						  </tbody>
						</table>
			      </div>
			      <div class="col-md-5 order-md-1 mx-auto text-center">
			        <img src="imag/${bl.fileName}" alt="BMW" class="img-thumbnail" width="250" height="250">
			      </div>
			</div>
			</c:forEach>
	</div>

						<div class="mx-auto text-center">
					      <nav aria-label="ページ切替">
						  <ul class="pagination align-text-bottom">
						    <li class="page-item disabled">
						      <a class="page-link" href="#" tabindex="-1" aria-disabled="true">Previous</a>
						    </li>
						    <li class="page-item"><a class="page-link" href="#">1</a></li>
						    <li class="page-item active" aria-current="page">
						      <a class="page-link" href="#">2 <span class="sr-only">(current)</span></a>
						    </li>
						    <li class="page-item"><a class="page-link" href="#">3</a></li>
						    <li class="page-item">
						      <a class="page-link" href="#">Next</a>
						    </li>
						  </ul>
						</nav>
						</div>
</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/Login.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.2/css/all.css" integrity="sha384-/rXc/GQVaYpyDdyxK+ecHPVYJSN9bmVFBvjA/9eOB+pb3F2w2N6fc5qB9Ew5yIns" crossorigin="anonymous">

<title>ログインページ</title>
</head>
<body>

<nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd;">
  <a class="navbar-brand" href="TopServlet">ショッピングサイト名</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" href="LoginServlet"><i class="fas fa-sign-in-alt"></i>ログイン <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="UserNewRegistServlet"><i class="fas fa-registered"></i>新規登録</a>
      </li>
       <li class="nav-item">
        <a class="nav-link" href="UserInfoServlet"><i class="fas fa-user"></i>Myページ</a>
      </li>
    </ul>
    <form class="form-inline my-2 my-lg-6" action="ItemSortServlet" method="post">
      <input type="text" name="search_word" class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search">
      <a><button class="btn btn-outline-success my-2 my-sm-0" type="submit" >Search</button></a>
    </form>
  </div>
</nav>

<div align="center"><h1>ログイン画面</h1></div>

	<c:if test="${errMsg != null}" >
	    <div class="alert alert-danger" role="alert">
		  ${errMsg}
		</div>
	</c:if>

<div class = "container">
	<form action="LoginServlet" method="post">
  <div class="form-group">
    	<label for="UserID">User ID</label>
    	<input required type="text" class="form-control" id="UserID" placeholder="User ID" name="loginId">
  </div>
  <div class="form-group">
    	<label for="exampleInputPassword1">Password</label>
    	<input required type="password" class="form-control" id="exampleInputPassword1" placeholder="Password" name="password">
  </div>
  		<input type="submit" class="btn btn-primary btn-block" value="ログイン">
	</form>
		<a href="UserNewRegistServlet"><button type="button" class="btn btn-link">※ユーザIDをお持ちでない方はこちらを押してください</button></a>

</div>
</body>

</html>